package com.ruoyi.generator.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.generator.domain.SourcePurchase;

public interface SourcePurchaseMapper
{
    public SourcePurchase selectSourcePurchaseByPurchaseId(Long purchaseId);

    public SourcePurchase selectPaidPurchase(@Param("userId") Long userId, @Param("projectId") Long projectId);

    public List<SourcePurchase> selectSourcePurchaseList(SourcePurchase sourcePurchase);

    public List<SourcePurchase> selectSourcePurchasesByUserId(Long userId);

    public int insertSourcePurchase(SourcePurchase sourcePurchase);

    public int updateSourcePurchase(SourcePurchase sourcePurchase);
}
